#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Oct 27 17:16:54 2019

@author: François Pelletier
"""

import nltk
import re

## Normalisation
    
def tokenize(reviews):
    tokenized_reviews = []
    for review in reviews:
        # Plusieurs fin de phrases étaient représentées par deux espaces ou plus.
        review = re.sub(r"\s{2,}",". ",review)
        tokenized_sentences = []
        sentences = nltk.sent_tokenize(review)
        for sentence in sentences:
            sentence_tokens = nltk.word_tokenize(sentence)
            tokenized_sentences.append(sentence_tokens)
        tokenized_reviews.append(tokenized_sentences)
    return tokenized_reviews

def norm_stemming(tokenized_reviews):
    return 0

def norm_lemmatize(tokenized_reviews):
    return 0

## Feature selection

def select_freq(reviews):
    return 0
    
def select_rem_stopwords(reviews):
    return 0
    
def select_open_class(reviews):
    return 0
    
## Attribute value
    
def value_count(reviews):
    return 0
    
def value_occurence(reviews):
    return 0
    
def value_tfidf(reviews):
    return 0
    
## Other attributes
    
def attribute_polarity_count(reviews):
    return 0
    
def attribute_length(reviews):
    return 0
    
## Training
    
def train_naive_model(reviews):
    return 0
    
def train_regression_model(reviews):
    return 0
